#!/bin/sh

MODIFIER_ID_STRING="Inserted by MFP Linux Driver"

shell_script_execution_disable() {
	test -n "$1" || return
	test -n "$MODIFIER_ID_STRING" || return
	TMP_FILE_ENA=/tmp/`basename $1`-dis.tmp
	cat $1 > $TMP_FILE_ENA
	echo "exit 0    # $MODIFIER_ID_STRING" > $1
	cat $TMP_FILE_ENA >> $1
	rm -f $TMP_FILE_ENA
}

setup_qt_link_remove() {
	if grep -q 'ldconfig$' $1 2>/dev/null ; then
		cat $1 | sed -e 's:ldconfig$:ldconfig ; ls -l /usr/lib/libqt-mt.so.3 2\>/dev/null | grep -q samsung \&\& rm -f /usr/lib/libqt-mt.so.3:' > /tmp/link_remove.tmp
		if test -s /tmp/link_remove.tmp ; then
			cat /tmp/link_remove.tmp > $1
		fi
		rm -f /tmp/link_remove.tmp
	fi
}

# Install Start Menu files for MandrakeLinux 10.2 beta 2 (and above ?) begin {

if [ -d /var/lib/menu-xdg/applications/Mandrakelinux ]; then
	( cd /usr/share/applnk/Samsung_MFP 2> /dev/null && \
	FILES=`ls` ; \
	for f in $FILES ; do \
		cp -a -f $f /var/lib/menu-xdg/applications/Mandrakelinux/ ; \
		echo 'Categories=X-Mandrakelinux;' >> /var/lib/menu-xdg/applications/Mandrakelinux/$f ; \
	done ; \
	)
fi

# Install Start Menu files for MandrakeLinux 10.2 beta 2 (and above ?) end   }

# Disable lp.script for MandrakeLinux 10.2 beta 2 (and above ?) begin {

if test -f /etc/dynamic/scripts/lp.script ; then
	shell_script_execution_disable /etc/dynamic/scripts/lp.script
fi

# Disable lp.script for MandrakeLinux 10.2 beta 2 (and above ?) end   }

# Setup of removing fake libqt-mt symbolic link in Slackware begin {

setup_qt_link_remove /etc/rc.d/rc.M

# Setup of removing fake libqt-mt symbolic link in Slackware end   }
